using System;

internal sealed class Delegate420 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0, TimeSpan timeSpan_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, TimeSpan timeSpan_0, Delegate420 delegate420_1)
	{
		return delegate420_1(ref dateTime_0, timeSpan_0);
	}

	public extern Delegate420(object object_0, IntPtr intptr_0);

	static Delegate420()
	{
		Class10.smethod_13(typeof(Delegate420).TypeHandle);
	}

	internal static Delegate420 delegate420_0;
}
